{
  "schema_version": "1.4.0",
  "id": "GHSA-68rc-w788-2jr7",
  "modified": "2025-04-20T03:46:12Z",
  "published": "2022-05-14T03:24:43Z",
  "aliases": [
    "CVE-2017-14496"
  ],
  "details": "Integer underflow in the add_pseudoheader function in dnsmasq before 2.78 , when the --add-mac, --add-cpe-id or --add-subnet option is specified, allows remote attackers to cause a denial of service via a crafted DNS request.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-14496"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2017:2836"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/vulnerabilities/3199382"
    },
    {
      "type": "WEB",
      "url": "https://cert-portal.siemens.com/productcert/pdf/ssa-689071.pdf"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201710-27"
    },
    {
      "type": "WEB",
      "url": "https://security.googleblog.com/2017/10/behind-masq-yet-more-dns-and-dhcp.html"
    },
    {
      "type": "WEB",
      "url": "https://source.android.com/security/bulletin/2017-10-01"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/42946"
    },
    {
      "type": "WEB",
      "url": "https://www.kb.cert.org/vuls/id/973527"
    },
    {
      "type": "WEB",
      "url": "https://www.mail-archive.com/dnsmasq-discuss%40lists.thekelleys.org.uk/msg11664.html"
    },
    {
      "type": "WEB",
      "url": "https://www.mail-archive.com/dnsmasq-discuss%40lists.thekelleys.org.uk/msg11665.html"
    },
    {
      "type": "WEB",
      "url": "https://www.mail-archive.com/dnsmasq-discuss@lists.thekelleys.org.uk/msg11664.html"
    },
    {
      "type": "WEB",
      "url": "https://www.mail-archive.com/dnsmasq-discuss@lists.thekelleys.org.uk/msg11665.html"
    },
    {
      "type": "WEB",
      "url": "https://www.synology.com/support/security/Synology_SA_17_59_Dnsmasq"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2017-10/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://nvidia.custhelp.com/app/answers/detail/a_id/4561"
    },
    {
      "type": "WEB",
      "url": "http://thekelleys.org.uk/dnsmasq/CHANGELOG"
    },
    {
      "type": "WEB",
      "url": "http://thekelleys.org.uk/gitweb/?p=dnsmasq.git%3Ba=commit%3Bh=897c113fda0886a28a986cc6ba17bb93bd6cb1c7"
    },
    {
      "type": "WEB",
      "url": "http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=897c113fda0886a28a986cc6ba17bb93bd6cb1c7"
    },
    {
      "type": "WEB",
      "url": "http://www.arubanetworks.com/assets/alert/ARUBA-PSA-2017-005.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3989"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/101085"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/101977"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1039474"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3430-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3430-2"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-191"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-10-03T01:29:00Z"
  }
}